org.apache.cassandra.cache

## Class SerializingCacheProvider

- java.lang.Object
- - org.apache.cassandra.cache.SerializingCacheProvider

All Implemented Interfaces:
  CacheProvider<RowCacheKey,IRowCacheEntry>

    public class SerializingCacheProvider
    extends java.lang.Object
    implements CacheProvider<RowCacheKey,IRowCacheEntry>

### Constructor Summary

Constructors
Constructor and Description
`SerializingCacheProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ICache<RowCacheKey,IRowCacheEntry>` `create()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializingCacheProvider

    public SerializingCacheProvider()

### Method Detail

#### create

    public ICache<RowCacheKey,IRowCacheEntry> create()

Specified by:
  `create` in interface `CacheProvider<RowCacheKey,IRowCacheEntry>`